API Reference
Leave
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/leave JWT API KeyGet leave
Query parameters
| EmployeeId string (uuid) | — |
| Status string | — |
| From string (date) | — |
| To string (date) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/leave" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/leave JWT API KeyCreate leave
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"typeId": "00000000-0000-0000-0000-000000000000",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"reason": "string"
}| employeeId string (uuid) | — |
| typeId string (uuid) | — |
| startDate string (date) | — |
| endDate string (date) | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/leave" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"typeId": "00000000-0000-0000-0000-000000000000",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/leave/{id}/decision JWT API KeyCreate decision
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"decision": "string",
"note": "string"
}| decision string | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/leave/{id}/decision" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"decision": "string",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu